# Interface DescriptorAccess

All Superinterfaces:
  `DescriptorRead`

All Known Implementing Classes:
  `ModelMBeanAttributeInfo, ModelMBeanConstructorInfo, ModelMBeanNotificationInfo, ModelMBeanOperationInfo`

public interface DescriptorAccess extends DescriptorRead
This interface is used to gain access to descriptors of the Descriptor class which are associated with a JMX component, i.e. MBean, MBeanInfo, MBeanAttributeInfo, MBeanNotificationInfo, MBeanOperationInfo, MBeanParameterInfo.

ModelMBeans make extensive use of this interface in ModelMBeanInfo classes.

Since:
  1.5

## Method Summary

Modifier and Type
Method
Description
`void`
`setDescriptor(Descriptor inDescriptor)`
Sets Descriptor (full replace).

### Methods declared in interface DescriptorRead

`getDescriptor`
Modifier and Type
Method
Description
`Descriptor`
`getDescriptor()`
Returns a copy of Descriptor.

## Method Details

### setDescriptor

void setDescriptor(Descriptor inDescriptor)
Sets Descriptor (full replace).

Parameters:
  `inDescriptor` - replaces the Descriptor associated with the component implementing this interface. If the inDescriptor is invalid for the type of Info object it is being set for, an exception is thrown. If the inDescriptor is null, then the Descriptor will revert to its default value which should contain, at a minimum, the descriptor name and descriptorType.
See Also:
  - `DescriptorRead.getDescriptor()`